Package org.jboss.resteasy.client.jaxrs

## Interface ResteasyWebTarget

- All Superinterfaces:
    `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`, `javax.ws.rs.client.WebTarget`
  All Known Implementing Classes:
    `ClientWebTarget`

      public interface ResteasyWebTarget
      extends javax.ws.rs.client.WebTarget

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResteasyWebTarget` | `clone()` |
    `ResteasyClient` | `getResteasyClient()` |
    `ResteasyWebTarget` | `matrixParam​(String name, Object... values)` |
    `ResteasyWebTarget` | `path​(Class<?> resource)` |
    `ResteasyWebTarget` | `path​(Method method)` |
    `ResteasyWebTarget` | `path​(String path)` |
    `ResteasyWebTarget` | `property​(String name, Object value)` |
    `<T> T` | `proxy​(Class<T> proxyInterface)` |
    `<T> ProxyBuilder<T>` | `proxyBuilder​(Class<T> proxyInterface)` |
    `ResteasyWebTarget` | `queryParam​(String name, Object... values)` |
    `ResteasyWebTarget` | `queryParamNoTemplate​(String name, Object... values)` | Will encode any '{}' characters and not treat them as template parameters.
    `ResteasyWebTarget` | `queryParams​(javax.ws.rs.core.MultivaluedMap<String,​Object> parameters)` |
    `ResteasyWebTarget` | `queryParamsNoTemplate​(javax.ws.rs.core.MultivaluedMap<String,​Object> parameters)` | Will encode any '{}' characters and not treat them as template parameters.
    `ResteasyWebTarget` | `register​(Class<?> componentClass)` |
    `ResteasyWebTarget` | `register​(Class<?> componentClass, int priority)` |
    `ResteasyWebTarget` | `register​(Class<?> componentClass, Class<?>... contracts)` |
    `ResteasyWebTarget` | `register​(Class<?> componentClass, Map<Class<?>,​Integer> contracts)` |
    `ResteasyWebTarget` | `register​(Object component)` |
    `ResteasyWebTarget` | `register​(Object component, int priority)` |
    `ResteasyWebTarget` | `register​(Object component, Class<?>... contracts)` |
    `ResteasyWebTarget` | `register​(Object component, Map<Class<?>,​Integer> contracts)` |
    `ResteasyWebTarget` | `resolveTemplate​(String name, Object value)` |
    `ResteasyWebTarget` | `resolveTemplate​(String name, Object value, boolean encodeSlashInPath)` |
    `ResteasyWebTarget` | `resolveTemplateFromEncoded​(String name, Object value)` |
    `ResteasyWebTarget` | `resolveTemplates​(Map<String,​Object> templateValues)` |
    `ResteasyWebTarget` | `resolveTemplates​(Map<String,​Object> templateValues, boolean encodeSlashInPath)` |
    `ResteasyWebTarget` | `resolveTemplatesFromEncoded​(Map<String,​Object> templateValues)` |
    `ResteasyWebTarget` | `setChunked​(boolean chunked)` |

    - ### Methods inherited from interface javax.ws.rs.core.Configurable

      `getConfiguration`

    - ### Methods inherited from interface javax.ws.rs.client.WebTarget

      `getUri, getUriBuilder, request, request, request`

- - ### Method Detail

    - #### getResteasyClient

          ResteasyClient getResteasyClient()

    - #### proxy

          <T> T proxy​(Class<T> proxyInterface)

    - #### proxyBuilder

          <T> ProxyBuilder<T> proxyBuilder​(Class<T> proxyInterface)

    - #### resolveTemplate

          ResteasyWebTarget resolveTemplate​(String name,
                                            Object value)
                                     throws NullPointerException

      Specified by:
        `resolveTemplate` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### resolveTemplates

          ResteasyWebTarget resolveTemplates​(Map<String,​Object> templateValues)
                                      throws NullPointerException

      Specified by:
        `resolveTemplates` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### resolveTemplate

          ResteasyWebTarget resolveTemplate​(String name,
                                            Object value,
                                            boolean encodeSlashInPath)
                                     throws NullPointerException

      Specified by:
        `resolveTemplate` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### resolveTemplateFromEncoded

          ResteasyWebTarget resolveTemplateFromEncoded​(String name,
                                                       Object value)
                                                throws NullPointerException

      Specified by:
        `resolveTemplateFromEncoded` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### resolveTemplatesFromEncoded

          ResteasyWebTarget resolveTemplatesFromEncoded​(Map<String,​Object> templateValues)
                                                 throws NullPointerException

      Specified by:
        `resolveTemplatesFromEncoded` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### resolveTemplates

          ResteasyWebTarget resolveTemplates​(Map<String,​Object> templateValues,
                                             boolean encodeSlashInPath)
                                      throws NullPointerException

      Specified by:
        `resolveTemplates` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### path

          ResteasyWebTarget path​(String path)
                          throws NullPointerException

      Specified by:
        `path` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### matrixParam

          ResteasyWebTarget matrixParam​(String name,
                                        Object... values)
                                 throws NullPointerException

      Specified by:
        `matrixParam` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### queryParam

          ResteasyWebTarget queryParam​(String name,
                                       Object... values)
                                throws NullPointerException

      Specified by:
        `queryParam` in interface `javax.ws.rs.client.WebTarget`
      Throws:
        `NullPointerException`

    - #### queryParams

          ResteasyWebTarget queryParams​(javax.ws.rs.core.MultivaluedMap<String,​Object> parameters)
                                 throws IllegalArgumentException,
                                        NullPointerException

      Throws:
        `IllegalArgumentException`
        `NullPointerException`

    - #### queryParamNoTemplate

          ResteasyWebTarget queryParamNoTemplate​(String name,
                                                 Object... values)
                                          throws NullPointerException

      Will encode any '{}' characters and not treat them as template parameters.
      Parameters:
        `name` - name
        `values` - values
      Returns:
        web resource target
      Throws:
        `NullPointerException`

    - #### queryParamsNoTemplate

          ResteasyWebTarget queryParamsNoTemplate​(javax.ws.rs.core.MultivaluedMap<String,​Object> parameters)
                                           throws IllegalArgumentException,
                                                  NullPointerException

      Will encode any '{}' characters and not treat them as template parameters.
      Parameters:
        `parameters` - parameters map
      Returns:
        web resource target
      Throws:
        `IllegalArgumentException`
        `NullPointerException`

    - #### path

          ResteasyWebTarget path​(Class<?> resource)
                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### path

          ResteasyWebTarget path​(Method method)
                          throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### clone

          ResteasyWebTarget clone()

    - #### property

          ResteasyWebTarget property​(String name,
                                     Object value)

      Specified by:
        `property` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### register

          ResteasyWebTarget register​(Class<?> componentClass)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### register

          ResteasyWebTarget register​(Class<?> componentClass,
                                     int priority)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### register

          ResteasyWebTarget register​(Class<?> componentClass,
                                     Class<?>... contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### register

          ResteasyWebTarget register​(Class<?> componentClass,
                                     Map<Class<?>,​Integer> contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### register

          ResteasyWebTarget register​(Object component)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### register

          ResteasyWebTarget register​(Object component,
                                     int priority)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### register

          ResteasyWebTarget register​(Object component,
                                     Class<?>... contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### register

          ResteasyWebTarget register​(Object component,
                                     Map<Class<?>,​Integer> contracts)

      Specified by:
        `register` in interface `javax.ws.rs.core.Configurable<javax.ws.rs.client.WebTarget>`

    - #### setChunked

          ResteasyWebTarget setChunked​(boolean chunked)